Max's MEAN course is finished, just add in the env file my personal PW for mongoose
for mongodb some ip configurations will be required, also set mongo shell in laptop (watch video 11 in module 4 /2:45/)
// TzTpavGTw0LzBrZ5 -> PW
// whole URL which required for DB connection and also when copy pasting project from Max's course personal one always gets lost :P
// mongodb+srv://ayhan:TzTpavGTw0LzBrZ5@cluster0.8v6r7.mongodb.net/node-angular?retryWrites=true&w=majority

its good to use next() if you are not sending a response. w/o next() other responses will be blocked

in each endpoint inside of `.then` block put the response status
Post.find().then() gets executed when then block is called, so if you `const postQuery = Post.find();` <- this is NOT going to be called. postQuery.then() is going to work like a charm
you can have multiple .then() blocks
any variable passed as argument e.g `user => {}` is visible only in his .then block, easy solution for that is simply declare a variable let fetchedUser and as soon as you got what you expected assign it to this variable

put vs patch
put -> to put a new resource and replace old one
patch -> update existing resource with new values  


============ Full Node Course===============       
continue from module 20 - 2 episode 

connecting to mySQL we set up a js file and export it as promise module in order to use .then() and .catch();

middlewares run for each request before routes handle it

app.use handles upcoming requests

// npm run start runs code in app.js regarding sequelize

sequelize has magic method that sets relataions between models

belongs to many requires I guess JS obj options with `through: NameOfTheMiddleTable`

in MongoDB relations can be embedded/nested (or hardcoded) and you need to change in everyplace if some changes occured
Reference -> simple pass id of the documents and then manually merge the documents that are managed in different collection

session is in the BE and cookies are in the FE